| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryTreatmentRequest Class Reference
Intercept and Treatment

Query Treatment request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__short | Name
InterceptId | InterceptInfo
| Intercept id. More...
TreatmentId | TreatmentInfo
| Treatment Id. More...

## Detailed Description

Query Treatment request.

Used by unsp__queryTreatment()

## Member Data Documentation

## ◆ InterceptInfo

InterceptId unsp__QueryTreatmentRequest::InterceptInfo

Intercept id.

required: false

## ◆ InterfaceWsdl

xsd__string unsp__QueryTreatmentRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ Name

xsd__short unsp__QueryTreatmentRequest::Name

Deprecated:
  NA

## ◆ OperatorId

xsd__string unsp__QueryTreatmentRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryTreatmentRequest::Paging

Standard paging structure.

required: false

## ◆ Specific

xsd__boolean unsp__QueryTreatmentRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

## ◆ TreatmentInfo

TreatmentId unsp__QueryTreatmentRequest::TreatmentInfo

Treatment Id.

required: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h